com.verisign.epp.interfaces

## Class EPPApplication

- java.lang.Object
- - com.verisign.epp.interfaces.EPPApplication

- Direct Known Subclasses:
    EPPApplicationSingle

      public class EPPApplication
      extends java.lang.Object

  This class represents a logical application. it should be instantiated once in the application life cycle. Its primary function is to initialize all the utilities and connection pool associated with interfaces. At the termination of the program, this entity will offer resources to close all established the connections gracefully, and it performs all cleanup tasks associated with utility functions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPApplication()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endApplication()` Instance method responsible for Cleanup and termination of the EPPApplication.
    `void` | `initialize()` Initializing `EPPApplication` after the configuration has been already initialized via `EPPEnvSingle` or one of its base classes.
    `void` | `initialize(java.util.Properties aProperties)` Initialize `EPPApplication` using the passed in `Properties` object.
    `void` | `initialize(java.lang.String aConfigFile)` Initialize `EPPApplication` using the passed in configuration file.
    `void` | `initialize(java.lang.String aConfigFile, java.lang.ClassLoader aClassLoader)` Initialize `EPPApplication` using the passed in configuration file and `ClassLoader`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPApplication

          public EPPApplication()

  - ### Method Detail

    - #### initialize

          public void initialize(java.lang.String aConfigFile,
                                 java.lang.ClassLoader aClassLoader)
                          throws EPPCommandException

      Initialize `EPPApplication` using the passed in configuration file and `ClassLoader`.
      Parameters:
        `aConfigFile` - Configuration file name to initialize `EPPApplication` with.
        `aClassLoader` - Used to look for the configuration file in the classpath.
      Throws:
        `EPPCommandException` - Error initializing with the configuration file

    - #### initialize

          public void initialize(java.util.Properties aProperties)
                          throws EPPCommandException

      Initialize `EPPApplication` using the passed in `Properties` object.
      Parameters:
        `aProperties` - EPP configuration properties to initialize `EPPApplication` with.
      Throws:
        `EPPCommandException` - Error initializing with the properties

    - #### initialize

          public void initialize(java.lang.String aConfigFile)
                          throws EPPCommandException

      Initialize `EPPApplication` using the passed in configuration file.
      Parameters:
        `aConfigFile` - Configuration file name to initialize `EPPApplication` with.
      Throws:
        `EPPCommandException` - Error initializing with the configuration file

    - #### initialize

          public void initialize()
                          throws EPPCommandException

      Initializing `EPPApplication` after the configuration has been already initialized via `EPPEnvSingle` or one of its base classes.
      Throws:
        `EPPCommandException` - Error initializing `EPPApplication`

    - #### endApplication

          public void endApplication()
                              throws EPPCommandException

      Instance method responsible for Cleanup and termination of the EPPApplication.
      Throws:
        `EPPCommandException` - Not currently thrown